org.apache.hc.client5.http.cookie

## Class BasicCookieStore

- java.lang.Object
- - org.apache.hc.client5.http.cookie.BasicCookieStore

All Implemented Interfaces:
  Serializable, CookieStore

    @Contract(threading=SAFE)
    public class BasicCookieStore
    extends Object
    implements CookieStore, Serializable

Default implementation of `CookieStore`

Since:
  4.0
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`BasicCookieStore()`

### Method Summary

Methods
`void` `addCookie(Cookie cookie)` Adds an `HTTP cookie`, replacing any existing equivalent cookies.
`void` `addCookies(Cookie[] cookies)` Adds an array of `HTTP cookies`.
`void` `clear()` Clears all cookies.
`boolean` `clearExpired(Date date)` Removes all of `cookies` in this HTTP state that have expired by the specified `date`.
`List<Cookie>` `getCookies()` Returns an immutable array of `cookies` that this HTTP state currently contains.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BasicCookieStore

    public BasicCookieStore()

### Method Detail

#### addCookie

    public void addCookie(Cookie cookie)

Adds an `HTTP cookie`, replacing any existing equivalent cookies. If the given cookie has already expired it will not be added, but existing values will still be removed.

Specified by:
  `addCookie` in interface `CookieStore`
Parameters:
  `cookie` - the `cookie` to be added
See Also:
  `addCookies(Cookie[])`

#### addCookies

    public void addCookies(Cookie[] cookies)

Adds an array of `HTTP cookies`. Cookies are added individually and in the given array order. If any of the given cookies has already expired it will not be added, but existing values will still be removed.

Parameters:
  `cookies` - the `cookies` to be added
See Also:
  `addCookie(Cookie)`

#### getCookies

    public List<Cookie> getCookies()

Returns an immutable array of `cookies` that this HTTP state currently contains.

Specified by:
  `getCookies` in interface `CookieStore`
Returns:
  an array of `cookies`.

#### clearExpired

    public boolean clearExpired(Date date)

Removes all of `cookies` in this HTTP state that have expired by the specified `date`.

Specified by:
  `clearExpired` in interface `CookieStore`
Returns:
  true if any cookies were purged.
See Also:
  `Cookie.isExpired(Date)`

#### clear

    public void clear()

Clears all cookies.

Specified by:
  `clear` in interface `CookieStore`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`